org.gitana.platform.services.transfer

## Class TransferDependencyChain

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<TransferDependency>
      - - org.gitana.platform.services.transfer.TransferDependencyChain

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<TransferDependency>, Collection<TransferDependency>, List<TransferDependency>, RandomAccess

    public class TransferDependencyChain
    extends ArrayList<TransferDependency>

Author:
  uzi
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`TransferDependencyChain()`
`TransferDependencyChain(List<TransferDependency> dependencies)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TransferDependencyChain` `create(com.fasterxml.jackson.databind.node.ArrayNode array)`
`TransferDependency` `first()`
`String` `getKey()`
`boolean` `hasType(String type)`
`TransferDependency` `last()`
`com.fasterxml.jackson.databind.node.ArrayNode` `toArrayNode()`
`String` `toString()`

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Constructor Detail

#### TransferDependencyChain

    public TransferDependencyChain(List<TransferDependency> dependencies)

#### TransferDependencyChain

    public TransferDependencyChain()

### Method Detail

#### getKey

    public String getKey()

#### create

    public static TransferDependencyChain create(com.fasterxml.jackson.databind.node.ArrayNode array)

#### toArrayNode

    public com.fasterxml.jackson.databind.node.ArrayNode toArrayNode()

#### last

    public TransferDependency last()

#### first

    public TransferDependency first()

#### hasType

    public boolean hasType(String type)

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractCollection<TransferDependency>`